//
//  Defines.h
//  LottoTouch
//
//  Created by Bertils mini on 2008-03-23.
//  Copyright Sork Software 2008-2009.
//

#define kLeftMargin				9.0
#define kRightMargin			9.0
#define kTopMargin				9.0
#define kMatrixMargin			13.0
#define kTextFieldHeight		40.0
#define kStatusBarHeight		20.0
#define kToolBarHeight			44.0
#define kTitleBarHeight			39.0
#define kButtonBarHeight		58.0
#define kCustomButtonHeight		30.0
#define kStdButtonHeight		40.0
#define kLabelHeight			20.0
#define kTweenMargin			20.0
#define kScreenHeight			480.0
#define kScreenWidth			320.0
#define kTextFieldFontSize		15.0

#define kTopPlacement			20.0
#define klottoHeight			320.0
#define klottoWidth				320.0
#define kTransitionDuration		0.75

#define kUpdateFrequency		20  // Hz
#define kFilteringFactor		0.1
#define kAccelerationThreshold	1.8

typedef enum {
	kButtonStateNormal = 0,
	kButtonStateTouched,
	kButtonStateIncluded,
	kButtonStateExcluded
} ButtonState;

#define GAME_ONE			@"GameOne"
#define GAME_TWO			@"GameTwo"
#define GAME_SEGMENT		@"gameSegmentPreset"
#define CURRENT_GAME		@"currentGamePreset"
#define VIEW_ONE_DATA		@"oneViewDataPreset"
#define VIEW_TWO_DATA		@"twoViewDataPreset"
#define VIEW_ONE_MATRIX		@"oneViewMatrixPreset"
#define VIEW_TWO_MATRIX		@"twoViewMatrixPreset"

#define LOTTO1_SIZE			@"lotto1Size"
#define SAMPLE1_SIZE		@"sample1Size"
#define LOTTO2_SIZE			@"lotto2Size"
#define SAMPLE2_SIZE		@"sample2Size"

#define SAMPLE_SIZE_MIN		24

#define BUTTON_SIDE			@"buttonSide"
#define MATRIX_FONT_SIZE	@"fontHeight"

#define CELL_IDENTIFIER		@"MyIdentifier"

#define notificationCenter [NSNotificationCenter defaultCenter]
