//
//  LottoData.h
//
//  Created by Bertil Holmberg on Feb 15 2002
//  Modified for LottoMatriX in Feb 2008
//

#import <UIKit/UIKit.h>


@interface LottoData : NSObject {
    NSMutableArray *numbers;
}

+ (LottoData *)lottoData;
+ (LottoData *)lottoDataWithCount:(int)count;
- (id)init;
- (id)initWithCount:(int)count;
// Accessor methods
- (NSMutableArray *)numbers;
- (void)setNumbers:(NSMutableArray *)array;
// Randomize numbers in array
- (void)randomize;
// Print (po) numbers in array
- (NSString *)description;

@end
