//
//  PickerViewController.h
//  LottoTouch
//
//  Created by Bertils mini on 2008-03-29.
//  Copyright Sork Software 2008. All rights reserved.
//

#import <UIKit/UIKit.h>

@class TitleViewController;

extern NSString *SSLottoTouchPresetsChangedNotification;


@interface PickerViewController : UIViewController  <UITableViewDelegate, UITableViewDataSource, UIPickerViewDelegate,
				UIPickerViewDataSource, UIActionSheetDelegate>
{
	UIPickerView *myPickerView;
	UILabel *label;
	UIButton *deleteButton;
	NSString *gameTitle;
	TitleViewController *titleViewController;
	UITableView *titleTableView;
	BOOL newGame;
	NSInteger lotto1Size;
	NSInteger sample1Size;
	NSInteger lotto2Size;
	NSInteger sample2Size;
}

@property (nonatomic, retain) NSString *gameTitle;
@property (nonatomic) BOOL newGame;
@property (nonatomic) NSInteger lotto1Size;
@property (nonatomic) NSInteger sample1Size;
@property (nonatomic) NSInteger lotto2Size;
@property (nonatomic) NSInteger sample2Size;

@end
