//
//  GamesViewController.h
//  LottoTouch
//
//  Created by Bertils mini on 2008-03-23.
//  Copyright 2008 Sork Sofware. All rights reserved.
//

#import <UIKit/UIKit.h>

@class PickerViewController;


@interface GamesViewController : UIViewController <UITableViewDelegate, UITableViewDataSource>
{
	UITableView	*gamesTableView;
	NSMutableArray	*gamesList;
	NSMutableDictionary *gamesDictionary;
	NSString *selectedTitle;
	PickerViewController *pickerViewController;
	BOOL newGame;
	NSIndexPath *oldIndexPath;
	NSInteger lotto1Size;
	NSInteger sample1Size;
	NSInteger lotto2Size;
	NSInteger sample2Size;	
}

@property (nonatomic, retain) NSString *selectedTitle;
@property (nonatomic, retain) NSMutableArray *gamesList;
@property (nonatomic, retain) NSMutableDictionary *gamesDictionary;
@property (nonatomic) BOOL newGame;
@property (nonatomic) NSInteger lotto1Size;
@property (nonatomic) NSInteger sample1Size;
@property (nonatomic) NSInteger lotto2Size;
@property (nonatomic) NSInteger sample2Size;

@end
