//
//  LottoViewController.h
//  LottoTouch
//
//  Created by Bertils mini on 2008-03-21.
//  Copyright 2008 Sork Software. All rights reserved.
//

#import <UIKit/UIKit.h>

@class GamesViewController;
@class LottoMatrixView;


@interface LottoViewController : UIViewController <UIAccelerometerDelegate> {
	GamesViewController *gamesViewController;
	UIBarButtonItem *clearButton;
	UILabel *gameOneLabel;
	UILabel *gameTwoLabel;
	// Views for flip animation
	UIView *containerView;
	UIImageView *buttonBarView;
	LottoMatrixView *lottoOneView;
	LottoMatrixView *lottoTwoView;
	NSMutableDictionary *gamesDictionary;
	NSMutableDictionary *locationsDictionary;
	UIButton *lottoButton;
	UIButton *lottoOneButton;
	UIButton *lottoTwoButton;
	NSInteger selectedLottoViewIndex;
	NSString *currentTitle;
	NSInteger lotto1Size;
	NSInteger sample1Size;
	NSInteger lotto2Size;
	NSInteger sample2Size;
	BOOL game2Enabled;
	UIAccelerationValue	myAccelerometer[3];
}

@property (nonatomic, retain) NSMutableDictionary *gamesDictionary, *locationsDictionary;
@property (nonatomic, retain) NSString *currentTitle;
@property (nonatomic, retain) LottoMatrixView *lottoOneView, *lottoTwoView;
@property (nonatomic) NSInteger selectedLottoViewIndex;
@property (nonatomic) NSInteger lotto1Size, sample1Size;
@property (nonatomic) NSInteger lotto2Size, sample2Size;

@end
